Page MenuHomePhabricator

Fatal InvalidArgumentException: "Unable to parse URI" (from Rest/EntryPoint.php)
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error message
InvalidArgumentException:
Unable to parse URI: /w/rest.php/v1/page/%E6%B1%9F%E9%A0%AD2:50/history/counts/edits
Stack Trace
#0 /srv/mediawiki/php-1.35.0-wmf.38/includes/Rest/RequestFromGlobals.php(36): GuzzleHttp\Psr7\Uri->__construct(string)
#1 /srv/mediawiki/php-1.35.0-wmf.38/includes/Rest/Router.php(264): MediaWiki\Rest\RequestFromGlobals->getUri()
#2 /srv/mediawiki/php-1.35.0-wmf.38/includes/Rest/EntryPoint.php(139): MediaWiki\Rest\Router->execute(MediaWiki\Rest\RequestFromGlobals)
#3 /srv/mediawiki/php-1.35.0-wmf.38/includes/Rest/EntryPoint.php(106): MediaWiki\Rest\EntryPoint->execute()
#4 /srv/mediawiki/php-1.35.0-wmf.38/rest.php(31): MediaWiki\Rest\EntryPoint::main()
#5 /srv/mediawiki/w/rest.php(3): require(string)
#6 {main}
Impact

Users are able to deterministically spike our server-side error levels by visiting this URL. This can fire alerts MW-level or Traffic-level alerts, and block deployments.

Notes

The URL is probably genuinely invalid. If so, the entry point needs to catch this somehow and respond with HTTP 4xx or some such. Right now it is causing the process to fatal with an error attributed to the server, not the user.

Event Timeline

Krinkle created this task.Jul 1 2020, 4:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2020, 4:04 AM
Ammarpad claimed this task.EditedJul 1 2020, 6:10 PM

The remote cause of the issue is PHP's open bug of parse_url(), and the exception is thrown in external library, so we cannot control it directly. We cannot simply catch the exception either, as that would mean any page title that contains the offending string combination would be inaccessible via the Rest endpoint. I'll add more details here and possible fix later.

Ammarpad triaged this task as Medium priority.Jul 1 2020, 6:11 PM
Ammarpad raised the priority of this task from Medium to High.EditedJul 6 2020, 6:06 PM

This actually affects many pages. It can be reproduced with any title that contains a colon followed by a number (and not anything else afterwards). So for example, all these valid titles (left) would lead to the exception in the Rest urls (right):

The exception is thrown by GuzzleHttp library when PHP's parse_url() fail to parse the given url, but the function has an open bug about malfunctioning if relative url contains colon-number arrangement that looks like a port -- but relative URLs cannot have port.

Normally https://en.wikipedia.org/w/rest.php/v1/page/3:33/history would be parsed correctly by parse_url(), but the request url is transformed before it reaches Rest EntryPoint. WebRequest::getGlobalRequestURL(), strips the host and scheme and turn it to absolute-path reference. The resultant url will now fail parsing in parse_url() and end up returning false. GuzzleHttp's Uri constructor will check for this false and then throws exception.

Here are some of these titles:

110646-1:1993
21:4:9
31_Corinthians_1:1
41_Corinthians_5:7
51_Corinthians_6:19
61_Corinthians_6:9
71_Corinthians_7:11
81_Corinthians_7:17
91_Corinthians_9:22
101_Corinthians_9:5
111_John_1:1
121_John_2:1
131_John_3:16
141_John_5:5
151_John_5:7
161_Kings_7:38
171_Peter_1:24
181_Peter_1:25
191_Peter_2:2
201_Peter_2:6
211_Peter_2:7
221_Peter_2:8
231_Peter_3:14
241_Peter_3:15
251_Peter_3:19
261_Peter_4:16
271_Peter_5:4
281_Thessalonians_1:1
291_Thessalonians_5:8
301_Tim_2:12
311_Timothy_1:1
321_Timothy_1:15
331_Timothy_1:2
341_Timothy_1:4
351_Timothy_2:12
361_Timothy_2:3
371_Timothy_2:4
381_Timothy_3:1
391_Timothy_3:15
401_Timothy_3:16
411_Timothy_4:9
421_Timothy_6:15
432_Corinthians_1:1
442_Corinthians_2:16
452_Corinthians_3:17
462_Corinthians_3:18
472_Corinthians_3:6
482_Corinthians_6:14
492_Corinthians_9:9
502_John_1:1
512_John_1:11
522_John_1:12
532_John_1:13
542_John_1:2
552_John_1:3
562_John_1:4
572_John_1:5
582_John_1:6
592_John_1:7
602_John_1:8
612_John_1:9
622_Kings_1:1
632_Kings_1:17
642_Kings_1:8
652_Kings_2:11
662_Kings_3:1
672_Kings_3:4
682_Kings_3:5
692_Kings_4:8
702_Kings_5:18
712_Kings_8:16
722_Kings_8:25
732_Kings_8:28
742_Kings_9:29
752_Peter_1:1
762_Peter_2:22
772_Peter_3:3
782_Peter_3:6
792_Timothy_1:13
802_Timothy_1:2
812_Timothy_1:5
822_Timothy_1:6
832_Timothy_2:11
842_Timothy_2:15
852_Timothy_2:17
862_Timothy_2:19
872_Timothy_2:3
882_Timothy_3:16
892_Timothy_3:17
902_Timothy_4:1
912_Timothy_4:11
922_Timothy_4:12
932_Timothy_4:13
942_Timothy_4:14
952_Timothy_4:19
962_Timothy_4:2
974:1:1
984:2:2
994:4:4
1006:6:6
101A$ton_3:16
102"Ach_Herr!_Wie_ist_meiner_Feinde_so_viel,_TWV_1:26"
103Action_Half-Life:2
104Acts_1:1
105Acts_1:14
106Acts_1:15
107Acts_1:8
108Acts_2:15
109Acts_2:16
110Acts_2:17
111Acts_2:19
112Acts_2:23
113Acts_2:38
114Acts_2:4
115Acts_2:41
116Acts_2:44
117Acts_4:12
118Acts_4:26
119Acts_4:32
120Acts_4:36
121Acts_5:34
122Acts_6:5
123Acts_6:9
124Acts_7:55
125Acts_7:58
126Acts_8:1
127Acts_8:16
128Acts_8:37
129Acts_8:4
130Acts_9:25
131Agera_One:1
132Airdrome_Fokker_DR-1_1:1
133Akuma_3:16
134Amos_1:1
135Amos_1:2
136Amos_5:24
137Amos_5:26
138Amos_5:27
139Amos_9:7
140Art:21
141Aston_3:16
142At_3:25
143"August_7,_4:15"
144Austin_3:16
145Battlefield:1942
146Black_Sun:731
147Canon_FD_200_mm_1:4
148Canon_FD_200mm_1:4
149Captain_Britain_&_MI:13
150Casals_Conducts:1964
151Cesium:137
152Colossians_1:15
153Colossians_1:18
154Colossians_1:24
155Colossians_2:11
156Colossians_2:9
157Colossians_4:12
158Colossians_4:14
159DTS_Neo:6
160"Das_ist_je_gewißlich_wahr,_TWV_1:183"
161Dave_Chappelle:_8:46
162Demus_3:16
163Deuteronomy_5:11
164Deuteronomy_5:12
165Deuteronomy_5:16
166Deuteronomy_5:17
167Deuteronomy_5:18
168Deuteronomy_5:19
169Deuteronomy_5:21
170Deuteronomy_5:6
171Deuteronomy_5:7
172Deuteronomy_5:8
173Deuteronomy_6:4
174Dhoom:2
175Dhoom:3
176Disappearance_of_John_3:7
177EPSG:3857
178EPSG:4326
179EP_No:1
180ESPG:3785
181ESPG:3857
182Ecclesiastes_1:1
183Ecclesiastes_1:2
184Ecclesiastes_1:3
185Ecclesiastes_8:1
186"Ein_Lämmlein_geht_und_trägt_die_Schuld,_GraunWV_B:VII:4"
187"Ein_Lämmlein_geht_und_trägt_die_Schuld,_TWV_5:51"
188"Ein_Lämmlein_geht_und_trägt_die_Schuld,_TWV_5:8"
189Ephesians_1:3
190Ephesians_2:14
191Ephesians_2:22
192Ephesians_2:8
193Ephesians_4:11
194Ephesians_4:13
195Ephesians_4:8
196Ephesians_5:16
197Ephesians_5:17
198Ephesians_5:21
199Errortype:11
200Esther_1:1
201Esther_2:21
202Esther_5:13
203Esther_5:14
204Esther_5:4
205Esther_6:2
206Esther_7:7
207Esther_8:15
208Esther_9:18
209Exodus_2:12
210Exodus_3:14
211Ezekiel_1:1
212Ezekiel_1:16
213Ezekiel_1:19
214Ezekiel_1:2
215Ezekiel_1:26
216Ezekiel_1:27
217Ezekiel_1:28
218Ezekiel_1:3
219Ezekiel_1:5
220Ezekiel_3:15
221Ezekiel_3:23
222Ezekiel_3:27
223Ezekiel_4:9
224Ezekiel_6:16
225Ezekiel_7:19
226Ezekiel_8:1
227Ezekiel_8:11
228Ezekiel_8:14
229Ezekiel_8:16
230Ezekiel_8:5
231Ezekiel_9:4
232Ezra_1:2
233Ezra_1:4
234Ezra_2:2
235Ezra_3:2
236Ezra_4:2
237Ezra_4:24
238Ezra_4:6
239Ezra_4:9
240Ezra_5:1
241Ezra_5:2
242Ezra_5:3
243Ezra_5:6
244Ezra_6:1
245Ezra_6:14
246Ezra_6:15
247Ezra_7:1
248Ezra_7:8
249Ezra_7:9
250Ezra_8:15
251Ezra_8:31
252Ezra_8:32
253Ezra_9:3
254FTL:2448
255Flamenco_at_5:15
256GMT+4:51
257GMT+5:45
258GMT+8:45
259GMT-0:25
260GMT−0:25
261GTA:4
262GTA:5
263Galatians_1:19
264Galatians_2:9
265Galatians_3:11
266Galatians_3:13
267Galatians_3:6
268Galatians_4:4
269Gen._2:17
270Genesis_1:1
271Genesis_1:2
272Genesis_1:28
273Genesis_1:3
274Genesis_1:4
275Genesis_1:5
276Genesis_1:6
277Genesis_1:7
278Genesis_1:8
279Genesis_2:17
280Genesis_3:15
281"Gott_der_Hoffnung_erfülle_euch,_TWV_1:634"
282Habakkuk_1:1
283Habakkuk_2:3
284Habakkuk_2:4
285Haggai_1:1
286Haggai_1:15
287Hebrews_1:1
288Hebrews_1:13
289Hebrews_1:2
290Hebrews_1:3
291Hebrews_1:5
292Hebrews_1:6
293Hebrews_1:7
294Hebrews_2:17
295Hebrews_2:18
296Hebrews_3:1
297Hebrews_4:15
298Hebrews_4:7
299Hebrews_5:5
300Hebrews_6:18
301Hebrews_6:4
302Hebrews_6:6
303Hebrews_7:1
304Hebrews_7:14
305Hebrews_7:2
306Hebrews_7:22
307Hebrews_7:4
308Hebrews_8:1
309Hebrews_9:12
310Hebrews_9:15
311Hebrews_9:22
312Hebrews_9:5
313Holla:_The_Best_of_Trin-i-tee_5:7
314Hosea_1:1
315Hosea_1:2
316Hosea_1:4
317Hosea_1:6
318Hosea_1:9
319Hosea_2:19
320Hosea_2:23
321Hosea_6:2
322Hosea_7:11
323Hosea_8:7
324IEC_60062:1968/AMD1:1968
325IEC_60062:1974/AMD1:1988
326IEC_60062:1974/AMD2:1989
327IEC_60062:1992/AMD1:1995
328IEC_62:1968/AMD1:1968
329IEC_62:1974/AMD1:1988
330IEC_62:1974/AMD2:1989
331IEC_62:1992/AMD1:1995
332IKSOSE:3
333IPA:157
334ISO-646.irv:1991
335ISO/CEI_10646-1:1993
336ISO/CEI_8859-1:1987
337ISO/CEI_8859-1:1998
338ISO/CEI_8859-2:1987
339ISO/CEI_8859-2:1999
340ISO/CEI_8859-3:1988
341ISO/CEI_8859-3:1999
342ISO/CEI_8859-4:1988
343ISO/CEI_8859-4:1998
344ISO/CEI_8859-5:1988
345ISO/CEI_8859-5:1999
346ISO/CEI_8859-6:1987
347ISO/CEI_8859-6:1999
348ISO/CEI_8859-7:1987
349ISO/CEI_8859-8:1988
350ISO/CEI_8859-8:1999
351ISO/CEI_8859-9:1989
352ISO/CEI_8859-9:1999
353ISO/IEC_10646-1:1993
354ISO/IEC_7942-1:1994
355ISO/IEC_7942-2:1997
356ISO/IEC_7942-3:1999
357ISO/IEC_7942-4:1998
358ISO/IEC_8859-1:1987
359ISO/IEC_8859-1:1998
360ISO/IEC_8859-2:1987
361ISO/IEC_8859-2:1999
362ISO/IEC_8859-3:1988
363ISO/IEC_8859-3:1999
364ISO/IEC_8859-4:1988
365ISO/IEC_8859-4:1998
366ISO/IEC_8859-5:1988
367ISO/IEC_8859-5:1999
368ISO/IEC_8859-6:1987
369ISO/IEC_8859-6:1999
370ISO/IEC_8859-7:1987
371ISO/IEC_8859-8:1988
372ISO/IEC_8859-8:1999
373ISO/IEC_8859-9:1989
374ISO/IEC_8859-9:1999
375ISO/R_9:1968
376ISO/R_9:1986
377ISO_1:1975
378ISO_2:1973
379ISO_3:1973
380ISO_4:1984
381ISO_4:1997
382ISO_5-1:1984
383ISO_5-2:1985
384ISO_5-2:1991
385ISO_5-3:1984
386ISO_5-3:1995
387ISO_5-4:1983
388ISO_5-4:1995
389ISO_5:1974
390ISO_646.IRV:1991
391ISO_646.basic:1983
392ISO_646.irv:1983
393ISO_646.irv:1991
394ISO_68-1:1998
395ISO_6:1974
396ISO_6:1993
397ISO_7-1:1982
398ISO_7-1:1994
399ISO_7-2:1982
400ISO_7942:1985/Amd_1:1991
401ISO_8859-1:1987
402ISO_8859-2:1987
403ISO_8859-3:1988
404ISO_8859-4:1988
405ISO_8859-5:1988
406ISO_8859-6:1987
407ISO_8859-7:1987
408ISO_8859-8:1988
409ISO_8859-9:1989
410ISO_9:1968
411ISO_9:1986
412ISO_9:1995
413ITN_News_at_5:45
414"Ich_weiß,_daß_mein_Erlöser_lebt,_TWV_1:875"
415"Ich_weiß,_daß_mein_Erlöser_lebt,_TWV_1:877"
416Iksse:3
417Implements_of_Mass_Destruction_/_Nuclear_Apocalypse:666
418In_Keeping_Secrets_of_Silent_Earth:3
419Isaiah_1:1
420Isaiah_1:11
421Isaiah_1:18
422Isaiah_1:2
423Isaiah_1:26
424Isaiah_1:29
425Isaiah_1:3
426Isaiah_1:31
427Isaiah_2:2
428Isaiah_2:3
429Isaiah_2:4
430Isaiah_2:5
431Isaiah_3:16
432Isaiah_4:2
433Isaiah_5:1
434Isaiah_5:2
435Isaiah_6:1
436Isaiah_6:13
437Isaiah_6:2
438Isaiah_6:3
439Isaiah_6:8
440Isaiah_7:1
441Isaiah_7:14
442Isaiah_7:3
443Isaiah_8:1
444Isaiah_8:12
445Isaiah_8:13
446Isaiah_8:14
447Isaiah_8:15
448Isaiah_8:3
449Isaiah_9:1
450Isaiah_9:14
451Isaiah_9:15
452Isaiah_9:2
453Isaiah_9:6
454Isaiah_9:7
455Iso-646.irv:1983
456Iso_646.basic:1983
457Iso_646.irv:1983
458Iso_646.irv:1991
459James_1:27
460James_5:12
461Jeremiah_1:15
462Jeremiah_1:4
463Jeremiah_7:11
464Jeremiah_7:31
465Jeremiah_8:22
466Job_1:1
467Joel_1:4
468Joel_2:25
469Joel_2:28
470Joel_2:29
471Joel_2:31
472Joel_2:32
473Joel_3:16
474John:21
475John_1:1
476John_1:14
477John_1:18
478John_1:29
479John_1:5
480John_3:16
481John_3:7
482John_5:24
483John_6:33
484John_6:48
485John_7:37
486John_7:53-8:11
487John_7:53–8:11
488John_8:11
489John_8:12
490John_8:32
491John_8:7
492"John_Cougar,_John_Deere,_John_3:16"
493Jonah_1:1
494Jonah_1:17
495Jonah_1:2
496Jonah_1:3
497Jonah_4:11
498Jonah_4:6
499KD_No:1
500Koenigsegg_Agera_One:1
501Koenigsegg_One:1
502Lamentations_1:1
503Lamentations_2:1
504Lamentations_2:19
505Lamentations_4:1
506Lamentations_5:21
507Lamentations_5:22
508Level_3:16
509List_of_Argentine_films:1931
510List_of_Argentine_films:1932
511List_of_Argentine_films:1933
512List_of_Argentine_films:1934
513List_of_Argentine_films:1935
514List_of_Argentine_films:1936
515List_of_Argentine_films:1937
516List_of_Argentine_films:1938
517List_of_Argentine_films:1939
518List_of_Argentine_films:1941
519List_of_Argentine_films:1942
520List_of_Argentine_films:1943
521List_of_Argentine_films:1944
522List_of_Argentine_films:1945
523List_of_Argentine_films:1946
524List_of_Argentine_films:1947
525List_of_Argentine_films:1948
526List_of_Argentine_films:1949
527List_of_Argentine_films:1951
528List_of_Argentine_films:1952
529List_of_Argentine_films:1953
530List_of_Argentine_films:1954
531List_of_Argentine_films:1955
532List_of_Argentine_films:1956
533List_of_Argentine_films:1957
534List_of_Argentine_films:1958
535List_of_Argentine_films:1959
536List_of_Argentine_films:1961
537List_of_Argentine_films:1962
538List_of_Argentine_films:1963
539List_of_Argentine_films:1964
540List_of_Argentine_films:1965
541List_of_Argentine_films:1966
542List_of_Argentine_films:1967
543List_of_Argentine_films:1968
544List_of_Argentine_films:1969
545List_of_Argentine_films:1971
546List_of_Argentine_films:1972
547List_of_Argentine_films:1973
548List_of_Argentine_films:1974
549List_of_Argentine_films:1975
550List_of_Argentine_films:1976
551List_of_Argentine_films:1977
552List_of_Argentine_films:1978
553List_of_Argentine_films:1979
554List_of_Argentine_films:1981
555List_of_Argentine_films:1982
556List_of_Argentine_films:1983
557List_of_Argentine_films:1984
558List_of_Argentine_films:1985
559List_of_Argentine_films:1986
560List_of_Argentine_films:1987
561List_of_Argentine_films:1988
562List_of_Argentine_films:1989
563List_of_Argentine_films:1991
564List_of_Argentine_films:1992
565List_of_Argentine_films:1993
566List_of_Argentine_films:1994
567List_of_Argentine_films:1995
568List_of_Argentine_films:1996
569List_of_Argentine_films:1997
570List_of_Argentine_films:1998
571List_of_Argentine_films:1999
572List_of_awards_and_nominations_received_by_Trin-i-tee_5:7
573Lord_of_Vermilion_Re:3
574Luke_1:1
575Luke_1:2
576Luke_1:26
577Luke_1:3
578Luke_1:4
579Luke_2:1
580Luke_2:11
581Luke_2:2
582Luke_2:21
583Luke_3:1
584Luke_3:16
585Luke_3:2
586Luke_3:33
587Luke_3:4
588Luke_3:6
589Luke_4:25
590Luke_4:3
591Luke_5:34
592Luke_5:9
593Luke_6:21
594Luke_6:22
595Luke_6:46
596Luke_7:38
597Luke_8:2
598Luke_9:1
599Luke_9:51
600Luke_9:52
601MGS:2
602MGS:3
603MGS:4
604Malachi_1:1
605Malachi_2:7
606Malachi_3:1
607Malachi_4:2
608Malachi_4:5
609Malachi_4:6
610Mark:16
611Mark_1:1
612Mark_1:15
613Mark_1:16
614Mark_1:3
615Mark_1:45
616Mark_1:7
617Mark_1:8
618Mark_3:16
619Mark_6:7
620Mark_6:8
621Mark_6:9
622Mark_8:22
623Mark_8:23
624Mark_8:24
625Mark_8:25
626Mark_8:26
627Matt._1:5
628Matt._5:5
629Matthew_1:1
630Matthew_1:11
631Matthew_1:12
632Matthew_1:13
633Matthew_1:14
634Matthew_1:15
635Matthew_1:16
636Matthew_1:17
637Matthew_1:18
638Matthew_1:19
639Matthew_1:2
640Matthew_1:21
641Matthew_1:22
642Matthew_1:23
643Matthew_1:24
644Matthew_1:25
645Matthew_1:3
646Matthew_1:4
647Matthew_1:5
648Matthew_1:6
649Matthew_1:7
650Matthew_1:8
651Matthew_1:9
652Matthew_2:1
653Matthew_2:11
654Matthew_2:12
655Matthew_2:13
656Matthew_2:14
657Matthew_2:15
658Matthew_2:16
659Matthew_2:17
660Matthew_2:18
661Matthew_2:19
662Matthew_2:2
663Matthew_2:21
664Matthew_2:22
665Matthew_2:23
666Matthew_2:3
667Matthew_2:4
668Matthew_2:5
669Matthew_2:6
670Matthew_2:7
671Matthew_2:8
672Matthew_2:9
673Matthew_3:1
674Matthew_3:11
675Matthew_3:12
676Matthew_3:13
677Matthew_3:14
678Matthew_3:15
679Matthew_3:16
680Matthew_3:17
681Matthew_3:2
682Matthew_3:3
683Matthew_3:4
684Matthew_3:5
685Matthew_3:6
686Matthew_3:7
687Matthew_3:8
688Matthew_3:9
689Matthew_4:1
690Matthew_4:11
691Matthew_4:12
692Matthew_4:13
693Matthew_4:14
694Matthew_4:15
695Matthew_4:16
696Matthew_4:17
697Matthew_4:18
698Matthew_4:19
699Matthew_4:2
700Matthew_4:21
701Matthew_4:22
702Matthew_4:23
703Matthew_4:24
704Matthew_4:25
705Matthew_4:3
706Matthew_4:4
707Matthew_4:5
708Matthew_4:6
709Matthew_4:7
710Matthew_4:8
711Matthew_4:9
712Matthew_5:1
713Matthew_5:11
714Matthew_5:12
715Matthew_5:13
716Matthew_5:14
717Matthew_5:15
718Matthew_5:16
719Matthew_5:17
720Matthew_5:18
721Matthew_5:19
722Matthew_5:2
723Matthew_5:21
724Matthew_5:22
725Matthew_5:23
726Matthew_5:24
727Matthew_5:25
728Matthew_5:26
729Matthew_5:27
730Matthew_5:28
731Matthew_5:29
732Matthew_5:3
733Matthew_5:31
734Matthew_5:32
735Matthew_5:33
736Matthew_5:34
737Matthew_5:35
738Matthew_5:36
739Matthew_5:37
740Matthew_5:38
741Matthew_5:39
742Matthew_5:4
743Matthew_5:41
744Matthew_5:42
745Matthew_5:43
746Matthew_5:44
747Matthew_5:45
748Matthew_5:46
749Matthew_5:47
750Matthew_5:48
751Matthew_5:5
752Matthew_5:6
753Matthew_5:7
754Matthew_5:8
755Matthew_5:9
756Matthew_6:1
757Matthew_6:11
758Matthew_6:12
759Matthew_6:13
760Matthew_6:14
761Matthew_6:15
762Matthew_6:16
763Matthew_6:17
764Matthew_6:18
765Matthew_6:19
766Matthew_6:2
767Matthew_6:21
768Matthew_6:22
769Matthew_6:23
770Matthew_6:24
771Matthew_6:25
772Matthew_6:26
773Matthew_6:27
774Matthew_6:28
775Matthew_6:29
776Matthew_6:3
777Matthew_6:31
778Matthew_6:32
779Matthew_6:33
780Matthew_6:34
781Matthew_6:4
782Matthew_6:5
783Matthew_6:6
784Matthew_6:7
785Matthew_6:8
786Matthew_6:9
787Matthew_7:1
788Matthew_7:11
789Matthew_7:12
790Matthew_7:13
791Matthew_7:14
792Matthew_7:15
793Matthew_7:16
794Matthew_7:17
795Matthew_7:18
796Matthew_7:19
797Matthew_7:2
798Matthew_7:21
799Matthew_7:22
800Matthew_7:23
801Matthew_7:24
802Matthew_7:25
803Matthew_7:26
804Matthew_7:27
805Matthew_7:28
806Matthew_7:29
807Matthew_7:3
808Matthew_7:4
809Matthew_7:5
810Matthew_7:6
811Matthew_7:7
812Matthew_7:8
813Matthew_7:9
814Matthew_8:1
815Matthew_8:11
816Matthew_8:12
817Matthew_8:13
818Matthew_8:14
819Matthew_8:15
820Matthew_8:16
821Matthew_8:17
822Matthew_8:18
823Matthew_8:19
824Matthew_8:2
825Matthew_8:21
826Matthew_8:22
827Matthew_8:23
828Matthew_8:24
829Matthew_8:25
830Matthew_8:26
831Matthew_8:27
832Matthew_8:28
833Matthew_8:29
834Matthew_8:3
835Matthew_8:31
836Matthew_8:32
837Matthew_8:33
838Matthew_8:34
839Matthew_8:4
840Matthew_8:5
841Matthew_8:6
842Matthew_8:7
843Matthew_8:8
844Matthew_8:9
845Matthew_9:1
846Matthew_9:11
847Matthew_9:12
848Matthew_9:13
849Matthew_9:14
850Matthew_9:15
851Matthew_9:16
852Matthew_9:17
853Matthew_9:18
854Matthew_9:19
855Matthew_9:2
856Matthew_9:21
857Matthew_9:22
858Matthew_9:23
859Matthew_9:24
860Matthew_9:25
861Matthew_9:26
862Matthew_9:27
863Matthew_9:28
864Matthew_9:29
865Matthew_9:3
866Matthew_9:31
867Matthew_9:32
868Matthew_9:33
869Matthew_9:34
870Matthew_9:35
871Matthew_9:36
872Matthew_9:37
873Matthew_9:38
874Matthew_9:4
875Matthew_9:5
876Matthew_9:6
877Matthew_9:7
878Matthew_9:8
879Matthew_9:9
880Micah_1:1
881Micah_3:12
882Micah_4:7
883Micah_5:1
884Micah_5:2
885Micah_6:8
886"Mich_vom_Stricke_meiner_Sünden,_TWV_5:1"
887Mission_3:16
888Monday_Morning_5:19
889Montrose_Primary_School:2259
890Mt._1:1
891Mt._1:11
892Mt._1:12
893Mt._1:13
894Mt._1:14
895Mt._1:15
896Mt._1:16
897Mt._1:17
898Mt._1:18
899Mt._1:19
900Mt._1:2
901Mt._1:21
902Mt._1:22
903Mt._1:23
904Mt._1:24
905Mt._1:25
906Mt._1:3
907Mt._1:4
908Mt._1:5
909Mt._1:6
910Mt._1:7
911Mt._1:8
912Mt._1:9
913Mt._2:1
914Mt._2:11
915Mt._2:12
916Mt._2:13
917Mt._2:14
918Mt._2:15
919Mt._2:16
920Mt._2:17
921Mt._2:18
922Mt._2:19
923Mt._2:2
924Mt._2:21
925Mt._2:22
926Mt._2:23
927Mt._2:3
928Mt._2:4
929Mt._2:5
930Mt._2:6
931Mt._2:7
932Mt._2:8
933Mt._2:9
934Mt._3:1
935Mt._3:11
936Mt._3:12
937Mt._3:13
938Mt._3:14
939Mt._3:15
940Mt._3:16
941Mt._3:17
942Mt._3:2
943Mt._3:3
944Mt._3:4
945Mt._3:5
946Mt._3:6
947Mt._3:7
948Mt._3:8
949Mt._3:9
950Mt._4:1
951Mt._4:11
952Mt._4:12
953Mt._4:13
954Mt._4:14
955Mt._4:15
956Mt._4:16
957Mt._4:17
958Mt._4:18
959Mt._4:19
960Mt._4:2
961Mt._4:21
962Mt._4:22
963Mt._4:23
964Mt._4:24
965Mt._4:25
966Mt._4:3
967Mt._4:4
968Mt._4:5
969Mt._4:6
970Mt._4:7
971Mt._4:8
972Mt._4:9
973Mt._5:1
974Mt._5:11
975Mt._5:12
976Mt._5:13
977Mt._5:14
978Mt._5:15
979Mt._5:16
980Mt._5:17
981Mt._5:18
982Mt._5:19
983Mt._5:2
984Mt._5:21
985Mt._5:22
986Mt._5:23
987Mt._5:24
988Mt._5:25
989Mt._5:26
990Mt._5:27
991Mt._5:28
992Mt._5:29
993Mt._5:3
994Mt._5:31
995Mt._5:32
996Mt._5:33
997Mt._5:34
998Mt._5:35
999Mt._5:36
1000Mt._5:37
1001Mt._5:38
1002Mt._5:39
1003Mt._5:4
1004Mt._5:41
1005Mt._5:42
1006Mt._5:43
1007Mt._5:44
1008Mt._5:45
1009Mt._5:46
1010Mt._5:47
1011Mt._5:48
1012Mt._5:5
1013Mt._5:6
1014Mt._5:7
1015Mt._5:8
1016Mt._5:9
1017Nahum_1:1
1018Nahum_3:19
1019Nahum_3:8
1020Nehemiah_1:1
1021Nehemiah_1:5
1022Nehemiah_2:1
1023Nehemiah_2:11
1024Nehemiah_2:19
1025Nehemiah_3:1
1026Nehemiah_6:1
1027Nehemiah_6:6
1028News_at_5:45
1029On_the_5:15
1030PIA_flight:554
1031Philemon_1:1
1032Philemon_1:11
1033Philemon_1:12
1034Philemon_1:13
1035Philemon_1:14
1036Philemon_1:15
1037Philemon_1:16
1038Philemon_1:17
1039Philemon_1:18
1040Philemon_1:19
1041Philemon_1:2
1042Philemon_1:21
1043Philemon_1:22
1044Philemon_1:23
1045Philemon_1:24
1046Philemon_1:25
1047Philemon_1:3
1048Philemon_1:4
1049Philemon_1:5
1050Philemon_1:6
1051Philemon_1:7
1052Philemon_1:8
1053Philemon_1:9
1054Philippians_1:1
1055Philippians_2:5
1056Philippians_2:6
1057Philippians_2:7
1058Philippians_3:3
1059Philippians_4:1
1060Philippians_4:4
1061Phillippians_2:5
1062Play:1
1063Play:3
1064Play:5
1065Proto:87
1066Proverbs_8:11
1067"Quartet_No._60_in_G_Major,_Op._76,_No._1,_FHE_No._40,_Hoboken_No._III:75"
1068"Quartet_No._61_in_D_Minor_(""Quinten"",_""Fifths"",_""The_Donkey""),_Op._76,_No._2,_FHE_No._41,_Hoboken_No._III:76"
1069"Quartet_No._62_in_C_Major_(""Emperor""),_Op._76,_No._3,_FHE_No._42,_Hoboken_No._III:77"
1070"Quartet_No._63_in_B_Major_(""Sunrise""),_Op._76,_No._4,_FHE_No._49,_Hoboken_No._III:78"
1071"Quartet_No._63_in_B♭_Major_(""Sunrise""),_Op._76,_No._4,_FHE_No._49,_Hoboken_No._III:78"
1072"Quartet_No._64_in_D_Major_(""Largo""),_Op._76,_No._5,_FHE_No._50,_Hoboken_No._III:79"
1073Qur'an_2:255
1074Qur'an_2:256
1075Qur'an_3:7
1076Qur'an_4:24
1077Qur'an_4:34
1078Qur'an_5:32
1079Qur'an_9:29
1080Qur._5:33
1081Quran_2:191
1082Quran_4:34
1083Quran_5:3
1084Quran_5:33
1085Quran_5:8
1086Quran_9:29
1087ROM_5:12
1088RS:4
1089Reader_on_the_6:27
1090Red_Death_at_6:14
1091Revelation_1:1
1092Revelation_1:11
1093Revelation_1:12
1094Revelation_1:13
1095Revelation_1:14
1096Revelation_1:15
1097Revelation_1:16
1098Revelation_1:17
1099Revelation_1:18
1100Revelation_1:2
1101Revelation_1:3
1102Revelation_1:4
1103Revelation_1:5
1104Revelation_1:7
1105Revelation_1:8
1106Revelation_1:9
1107Revelation_2:1
1108Revelation_2:12
1109Revelation_2:8
1110Revelation_2:9
1111Revelation_3:12
1112Revelation_3:14
1113Revelation_3:9
1114Revelation_4:8
1115Revelation_5:5
1116Revelation_5:6
1117Revelation_6:8
1118Revelation_7:4
1119Revelation_8:11
1120Revelations_1:17
1121Rom_5:12
1122Romans_1:17
1123Romans_1:27
1124Romans_3:2
1125Romans_3:23
1126Romans_3:25
1127Romans_3:28
1128Romans_4:3
1129Romans_5:12
1130Romans_5:14
1131Romans_5:8
1132Romans_6:23
1133Romans_7:7
1134Romans_8:36
1135Romans_9:27
1136Romans_9:28
1137Romans_9:3
1138Romans_9:33
1139Rule_3:36
1140Ruth_1:16
1141Ruth_4:16
1142Ruth_4:3
1143Ruth_4:7
1144SQL:1999
1145SSB:64
1146Shamele_5:55
1147"Siehe,_es_hat_überwunden_der_Löwe,_TWV_1:1328"
1148Song_1:1
1149Song_1:15
1150Song_1:3
1151Song_1:6
1152Song_1:9
1153Song_2:1
1154Song_2:15
1155Song_2:16
1156Song_4:8
1157Song_5:16
1158Song_5:2
1159Song_6:13
1160Song_6:3
1161Song_8:4
1162Song_8:5
1163Song_of_Solomon_1:12
1164Song_of_Solomon_1:3
1165Song_of_Solomon_2:1
1166Song_of_Solomon_4:14
1167Song_of_Solomon_6:11
1168Song_of_Songs_1:14
1169Song_of_Songs_1:6
1170Song_of_Songs_1:9
1171Song_of_Songs_2:1
1172Song_of_Songs_2:13
1173Song_of_Songs_2:14
1174Song_of_Songs_2:2
1175Song_of_Songs_2:7
1176Song_of_Songs_3:5
1177Song_of_Songs_4:8
1178Song_of_Songs_5:1
1179Song_of_Songs_5:2
1180Song_of_Songs_6:11
1181Song_of_Songs_6:3
1182Song_of_Songs_6:4
1183Sonos_Play:3
1184Space:1889
1185Space:1999
1186Sura_4:157
1187Sura_4:34
1188TF:3
1189TIA-232-E:1991
1190TWV_1:616
1191TWV_1:617
1192The_Best_of_Trin-I-Tee_5:7
1193The_Delayed_3:15
1194The_Naked_Brothers_Band_episode:1
1195The_Naked_Brothers_Band_episode:2
1196The_Naked_Brothers_Band_episode:8
1197The_Next_:15
1198The_Quranic_verse_9:29
1199The_Reader_on_the_6:27
1200Thirteen:13
1201Titus_1:4
1202Titus_1:5
1203Titus_3:12
1204Titus_3:13
1205Titus_3:8
1206Trin-I-Tee_5:7
1207Trin-i-Tee_5:7
1208Trin-i-tee_5:7
1209Trinitee_5:7
1210U2:3
1211UC_7:17
1212UTC+0:19
1213UTC+4:51
1214UTC+5:45
1215UTC+8:45
1216UTC+9:45
1217UTC-0:25
1218UTC-0:44
1219UTC4:51
1220UTC5:45
1221UTC8:45
1222UTC_4:51
1223UTC−0:25
1224UTC−0:44
1225Unit:187
1226WWE_Tough_Enough:5
1227YUV_4:1:1
1228YUV_4:2:2
1229YUV_4:4:4
1230Zechariah_1:1
1231Zechariah_1:12
1232Zechariah_1:21
1233Zechariah_1:7
1234Zechariah_3:8
1235Zechariah_4:6
1236Zechariah_6:12
1237Zechariah_6:5
1238Zechariah_7:12
1239Zechariah_7:3
1240Zechariah_7:5
1241Zechariah_8:19
1242Zechariah_9:1
1243Zechariah_9:9
1244Zephaniah_1:1
1245Μ_4:3
1246∑:3

Change 610034 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Rest: Handle Uri constructor exception

https://gerrit.wikimedia.org/r/610034

eprodromou added a subscriber: eprodromou.

OK, this seems likes a valid issue for PET to review.

Change 610034 merged by jenkins-bot:
[mediawiki/core@master] Rest: Handle Uri constructor exception

https://gerrit.wikimedia.org/r/610034

Ammarpad closed this task as Resolved.Jul 29 2020, 4:42 AM

Change 622656 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Rest: Use try/catch to handle URIs with embedded colon

https://gerrit.wikimedia.org/r/622656

Change 624299 had a related patch set uploaded (by Reedy; owner: Ammarpad):
[mediawiki/core@REL1_35] Rest: Handle Uri constructor exception

https://gerrit.wikimedia.org/r/624299

Change 624702 had a related patch set uploaded (by Reedy; owner: C. Scott Ananian):
[mediawiki/core@REL1_35] Rest: Use try/catch to handle URIs with embedded colon

https://gerrit.wikimedia.org/r/624702

Change 624299 merged by jenkins-bot:
[mediawiki/core@REL1_35] Rest: Handle Uri constructor exception

https://gerrit.wikimedia.org/r/624299

Change 624702 merged by jenkins-bot:
[mediawiki/core@REL1_35] Rest: Use try/catch to handle URIs with embedded colon

https://gerrit.wikimedia.org/r/624702

Change 622656 merged by jenkins-bot:
[mediawiki/core@master] Rest: Use try/catch to handle URIs with embedded colon

https://gerrit.wikimedia.org/r/622656